INTERFACE
SUBROUTINE CALL_SL_TL(PB1,PB15,PB2,PGFLT1)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NGPBLKS ,NFLSA ,NFLEN ,&
 & NDGLG ,NDGSAG ,NDGENG ,NDGSAL ,NDGENL ,NFLSUL 
USE YOMMP , ONLY : NASLB1 ,NSLPROCS ,&
 & NSLRPT ,NSLSPT ,NSLSENDPOS,&
 & NSLRECVPOS,NSENDPTR ,NRECVPTR ,NSLCOMM ,LSLCOMM ,&
 & NSLSTA ,NSLONL ,NSLOFF ,NFRSTLOFF ,&
 & MYFRSTACTLAT ,MYLSTACTLAT 
USE YOMSC2 , ONLY : NSLWIDE ,NFLDSLB1 ,NFLDSLB15, NFLDSLB2
USE YOM_YGFL , ONLY : YGFL
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PB2(NPROMA,NFLDSLB2,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1,NGPBLKS)
END SUBROUTINE CALL_SL_TL
END INTERFACE
